import 'dart:convert';

import 'package:flutter/material.dart';

class CartPage1 extends StatefulWidget {
  const CartPage1({Key? key}) : super(key: key);

  @override
  State<CartPage1> createState() => _CartPage1State();
}

class _CartPage1State extends State<CartPage1> {
final List _cartImage=[
  'assets/clothing/1.webp',
  'assets/clothing/2.webp',
  'assets/clothing/3.webp',
  'assets/clothing/4.webp',
  'assets/clothing/5.webp',

];

final List _cartName=[
  "promotion Custom Plus Size Fashion Men's Jackets Casual Waterproof Blank Golf Lightweight Windbreaker Bomber Jacket For Men",
  'Wholesales Apparel stock plus size mens shorts Cheap price chino men shorts Quality cargo shorts',
  "promotionApparel > Men's Clothing > Men's Hoodies&Sweatshirts Oem Customized Graphic Plus Size Women's Oversize Blank Hoodies Set",
  "custom logo 100% Cotton Men Crewneck french terry oversized Sweatshirt 3D Embossed",
  "New Trend Business Clothes Men Mens Bulk Utility Jackets Men's Clothing",
];
final List _cartQuantity=['2','1','1','3','1'];
final List _cartPrice=['213','2341','132','3234','1242'];





  @override
  Widget build(BuildContext context) {
    Size scrSize=MediaQuery.of(context).size;
    const myColor=Colors.black;
    return Scaffold(
        appBar: AppBar(
          backgroundColor: myColor,
          title: const Text('My Cart'),
          actions: [
            IconButton(onPressed: (){

            }, icon: const Icon(Icons.cleaning_services))
          ],
        ),
         body:SingleChildScrollView(
           child: Column(
             children: [
               ListView.builder(
                 physics: ScrollPhysics(),
                shrinkWrap: true,
                  itemCount: _cartImage.length,
                  itemBuilder: (context,index){
                    return Padding(
                      padding: const EdgeInsets.only(top: 3.0,left: 20,right: 20),
                      child: Column(
                        children: [
                          Row(
                            mainAxisAlignment: MainAxisAlignment.spaceAround,
                            children: [
                              Image(
                                  height: 100,
                                  width: 100,
                                  image: AssetImage('${_cartImage[index]}')),
                              const SizedBox(width: 10,),
                              Column(
                                children: [
                                  Container(
                                      width: scrSize.width*.4 ,
                                      child: Text('${_cartName[index]}')),
                                  const SizedBox(height: 10),
                                  Row(
                                    children: [
                                      Text('\u0024${_cartPrice[index]}'),
                                      const Text('X'),
                                      Text('${_cartQuantity[index]}'),
                                      const Text('='),
                                      Text('${double.parse(_cartPrice[index])*double.parse(_cartQuantity[index])}')
                                    ],
                                  ),

                                ],
                              ),
                              SizedBox(
                                height: 100,
                                child: Column(
                                  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                                  children: [
                                    InkWell(
                                      onTap: (){

                                      },
                                      child: const Icon(Icons.delete,color:myColor,size: 30,),
                                    ),
                                    Container(
                                      height: 20,
                                      width: scrSize.width*.2,
                                      child: Row(
                                        mainAxisAlignment: MainAxisAlignment.spaceAround,
                                        children: [
                                          InkWell(
                                            onTap: (){},
                                            child: const Icon(Icons.remove,color: myColor,),
                                          ),
                                          Text('${_cartQuantity[index]}',style: const TextStyle(fontSize: 20,color: myColor),),
                                          InkWell(
                                            onTap: (){
                                            },
                                            child: const Icon(Icons.add,color: myColor,),
                                          )
                                        ],
                                      ),
                                    )
                                  ],
                                ),
                              )
                            ],
                          ),
                          const Divider(thickness: 1,color: myColor,)
                        ],
                      ),
                    );

                  }),
               SizedBox(height: 10),
               ElevatedButton(
                   onPressed: (){},
                   child: Text('Place Order'),
                    style: ElevatedButton.styleFrom(
                      backgroundColor: myColor,
                      padding: EdgeInsets.symmetric(horizontal: 50,vertical: 15)
                    ),
               ),
               SizedBox(height: 50,)
             ],
           ),
         ));

  }


  }



